Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.w3.org/1999/xhtml-netuix-modified/1.0.0
element thead

Model
  `<thead
  _onclick = `{string}`
  _ondblclick = `{string}`
  _onkeydown = `{string}`
  _onkeypress = `{string}`
  _onkeyup = `{string}`
  _onmousedown = `{string}`
  _onmousemove = `{string}`
  _onmouseout = `{string}`
  _onmouseover = `{string}`
  _onmouseup = `{string}`
  align = `"left" | "center" | "right" | "justify" | "character"`
  character = `{string: length = 1}`
  charoff = `{string}`
  cssClass = NMTOKENS
  dir = `"ltr" | "rtl"`
  htmlId = ID
  lang = `{language: pattern = ([a-zA-Z]{1,8})(-[a-zA-Z0-9]{1,8})*}`
  lang = `language` | `""`
  style = `{string}`
  title = `{string}`
  valign = `"top" | "middle" | "bottom" | "baseline"`
  >
  tr+
  </thead>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  element-only content, not nillable.

Usage
  This element can be the root element of XML instance documents.
  This element can be the child of element table.

Nested Element Summary
`annonymous type derived from anyType` | `tr` 1...∞

Attribute Summary
`Script` | `_onclick`
`Script` | `_ondblclick`
`Script` | `_onkeydown`
`Script` | `_onkeypress`
`Script` | `_onkeyup`
`Script` | `_onmousedown`
`Script` | `_onmousemove`
`Script` | `_onmouseout`
`Script` | `_onmouseover`
`Script` | `_onmouseup`
`annonymous type derived from token` | `align`
`Character` | `character`
`Length` | `charoff`
`NMTOKENS` | `cssClass`
`annonymous type derived from token` | `dir`
`ID` | `htmlId`
`LanguageCode` | `lang`
`union of (language | annonymous type derived from string)` | `lang` Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
`StyleSheet` | `style`
`Text` | `title`
`annonymous type derived from token` | `valign`

Attribute Detail

### _onclick

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _ondblclick

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onkeydown

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onkeypress

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onkeyup

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmousedown

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmousemove

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmouseout

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmouseover

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### _onmouseup

Definition

  Defined with global type Script

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### align

Model
  `"left" | "center" | "right" | "justify" | "character"`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Enumeration Facet
  `"left", "center", "right", "justify", "character"`

### character

Definition

  Defined with global type Character

Model
  `{string: length = 1}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### charoff

Definition

  Defined with global type Length

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### cssClass

Definition

  Defined with global type NMTOKENS

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Type
  NMTOKENS

### dir

Model
  `"ltr" | "rtl"`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Enumeration Facet
  `"ltr", "rtl"`

### htmlId

Definition

  Defined with global type ID

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### lang

Definition

  Defined with global type LanguageCode

Model
  `{language: pattern = ([a-zA-Z]{1,8})(-[a-zA-Z0-9]{1,8})*}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### lang

Definition

  Defined as global attribute lang

Documentation

      Attempting to install the relevant ISO 2- and 3-letter
               codes as the enumerated possible values is probably never
               going to be a realistic possibility.  See
               RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry
               at http://www.iana.org/assignments/lang-tag-apps.htm for
               further information.

               The union allows for the 'un-declaration' of xml:lang with
               the empty string.

Model
  `language` | `""`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Type

  Union of Types
  `language` | `language`
  `annonymous type derived from string` | Fundamental Facets equality, non-numeric, unbounded, unordered, countable infinite value space White Space Processing preserve Enumeration Facet `""`

### style

Definition

  Defined with global type StyleSheet

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### title

Definition

  Defined with global type Text

Model
  `{string}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### valign

Model
  `"top" | "middle" | "bottom" | "baseline"`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Enumeration Facet
  `"top", "middle", "bottom", "baseline"`

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1